Bug 2156801 - Review Request: rust-pore - Performance oriented reimplementation of repo
Summary: Review Request: rust-pore - Performance oriented reimplementation of repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2156796
Blocks: ITP-rust-pore
TreeView+ depends on / blocked
 
Reported: 2022-12-28 21:36 UTC by Michel Lind
Modified: 2023-01-07 01:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-04 01:24:32 UTC
Type: ---
Embargoed:
davide: fedora-review+


Attachments (Terms of Use)

Description Michel Lind 2022-12-28 21:36:27 UTC
Spec URL: https://salimma.fedorapeople.org/rust-pore.spec
SRPM URL: https://salimma.fedorapeople.org/rust-pore-0.1.6-1.fc37.src.rpm

Description:
Performance oriented reimplementation of repo.

Fedora Account System Username: salimma

Comment 1 Michel Lind 2022-12-28 21:38:09 UTC
Note: need compat packages rust-minidom0.12 (repo request: https://pagure.io/releng/fedora-scm-requests/issue/50041) and rust-quick-xml0.17 (repo request: https://pagure.io/releng/fedora-scm-requests/issue/50042) before this can be built. Local mock build succeeds.

Comment 2 Davide Cavalca 2022-12-28 21:39:54 UTC
Taking this review. You will need to add a License: tag with the combined license for the binary subpackage.

Comment 3 Michel Lind 2022-12-28 23:03:56 UTC
Licenses now added:

❯ bsdtar tf ~/repos/pore/results/fedora-rawhide-x86_64/rust-pore-0.1.6-1.fc37/pore-0.1.6-1.fc38.x86_64.rpm | grep LICENSE
./usr/share/licenses/pore/LICENSE
./usr/share/licenses/pore/LICENSE.dependencies

Comment 4 Davide Cavalca 2022-12-29 02:44:18 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

Comment 5 Michel Lind 2022-12-29 03:12:36 UTC
Thanks!

src/fedora/pkgs-sig-rust 
⬢ [fedora-toolbox:37] ❯ fedpkg request-repo rust-$C $B
https://pagure.io/releng/fedora-scm-requests/issue/50053

src/fedora/pkgs-sig-rust took 4s 
⬢ [fedora-toolbox:37] ❯ fedpkg request-branch --repo rust-$C --all-releases
https://pagure.io/releng/fedora-scm-requests/issue/50054
https://pagure.io/releng/fedora-scm-requests/issue/50055

src/fedora/pkgs-sig-rust took 7s 
⬢ [fedora-toolbox:37] ❯ fedpkg request-branch --repo rust-$C epel9
https://pagure.io/releng/fedora-scm-requests/issue/50056

Comment 6 Kevin Fenzi 2022-12-29 18:24:34 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-pore

Comment 7 Fedora Update System 2023-01-03 00:27:50 UTC
FEDORA-EPEL-2023-ae11e26767 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-ae11e26767

Comment 8 Fedora Update System 2023-01-03 03:55:18 UTC
FEDORA-2023-815ee95850 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-815ee95850

Comment 9 Fedora Update System 2023-01-03 04:00:24 UTC
FEDORA-2023-74ed908696 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-74ed908696

Comment 10 Fedora Update System 2023-01-04 01:24:32 UTC
FEDORA-2023-74ed908696 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-01-04 01:32:49 UTC
FEDORA-2023-815ee95850 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-01-04 02:19:04 UTC
FEDORA-EPEL-2023-ae11e26767 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-ae11e26767

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-01-04 23:50:25 UTC
FEDORA-EPEL-2023-7d8348c9c0 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-7d8348c9c0

Comment 14 Fedora Update System 2023-01-05 01:39:20 UTC
FEDORA-EPEL-2023-7d8348c9c0 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-7d8348c9c0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-01-05 01:46:49 UTC
FEDORA-EPEL-2023-ae11e26767 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2023-01-07 01:05:55 UTC
FEDORA-EPEL-2023-7d8348c9c0 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.